> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monaco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Tag

> Updates a tag's `name` and/or `color` by its `tag_id`. The object type of a tag cannot be changed.



## OpenAPI

````yaml https://api.monaco.com/openapi.json patch /v1/tags/{tag_id}
openapi: 3.1.0
info:
  title: Monaco Public API
  description: Public API for Monaco
  version: 1.0.0
servers:
  - url: https://api.monaco.com
security: []
paths:
  /v1/tags/{tag_id}:
    patch:
      tags:
        - Tags
      summary: Update a Tag
      description: >-
        Updates a tag's `name` and/or `color` by its `tag_id`. The object type
        of a tag cannot be changed.
      operationId: update_tag
      parameters:
        - name: tag_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tag Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicItemResponse_TagResponse_'
              example:
                data:
                  id: 550e8400-e29b-41d4-a716-446655440000
                  name: Strategic Enterprise
                  color: purple
                meta:
                  timestamp: '2026-04-22T09:30:00Z'
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponse'
components:
  schemas:
    TagUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
              pattern: ^[a-zA-Z0-9\s]+$
            - type: 'null'
          title: Name
          description: Display name of the tag. Letters, numbers, and spaces only.
          examples:
            - Enterprise
        color:
          anyOf:
            - $ref: '#/components/schemas/DisplayColorEnum'
            - type: 'null'
          description: Display color of the tag.
          examples:
            - blue
      type: object
      title: TagUpdateRequest
      description: Request body for updating a tag via PATCH.
    PublicItemResponse_TagResponse_:
      properties:
        data:
          $ref: '#/components/schemas/TagResponse'
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      type: object
      required:
        - data
      title: PublicItemResponse[TagResponse]
    PublicErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: PublicErrorResponse
    DisplayColorEnum:
      type: string
      enum:
        - green
        - blue
        - red
        - yellow
        - purple
        - berry
        - peach
        - gray
      title: DisplayColorEnum
    TagResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the tag
        name:
          type: string
          title: Name
          description: Display name of the tag
          examples:
            - Enterprise
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
          description: Display color of the tag
          examples:
            - blue
      type: object
      required:
        - id
        - name
      title: TagResponse
    ResponseMeta:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
          description: Server timestamp of the response
      type: object
      title: ResponseMeta
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
          description: Machine-readable error code
          examples:
            - not_found
        message:
          type: string
          title: Message
          description: Human-readable error message
          examples:
            - Resource not found
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````